Skip to main content

Source code revision

svn

summary: Fixing build failure caused by recent Grizzly integration. glassfish-api now depends on original Grizzly artifacts.
revision: 22712
author: Sahoo
date: 2008-09-16 19:21:15 UTC (8 years)
message: Fixing build failure caused by recent Grizzly integration.
glassfish-api now depends on original Grizzly artifacts.
Since they don't have OSGi metadata or package-version file,
we explicitly specify the version while importing classes from them
in pom.xml. The package version is same as artifact version, except that
the qualifier is dropped. While wrapping Grizzly artifacts in
distributions/external/grizzly-* modules,
we also export the packages with same package version.

Since the change touches glassfish-api module, we are changing the version of glassfish-api.
The new version is used in v3/pom.xml.
Change Path Actions
M trunk/v3/common/glassfish-api/pom.xml
M trunk/v3/distributions/external/grizzly-http/pom.xml
M trunk/v3/distributions/external/grizzly-optionals/pom.xml
M trunk/v3/pom.xml
 
 
Close
loading
Please Confirm
Close